﻿<%@ Application Language="C#" %>
<%@ Import Namespace="Raven.Client" %>
<%@ Import Namespace="Raven.Client.Embedded" %>

<script runat="server">

    private static IDocumentStore DocumentStore { get; set; }

    void Application_Start(object sender, EventArgs e)
    {
        DocumentStore = new EmbeddableDocumentStore
        {
            DataDirectory = "Data",
            UseEmbeddedHttpServer = true
        }.Initialize();
    }

    void Application_BeginRequest(object sender, EventArgs e)
    {
        HttpContext.Current.Items["CurrentRequestRavenSession"] = DocumentStore.OpenSession();
    }

    void Application_EndRequest(object sender, EventArgs e)
    {
        using (HttpContext.Current.Items["CurrentRequestRavenSession"] as IDisposable) { }
    }
    
    void Application_End(object sender, EventArgs e) 
    {

    }
       
</script>
